<?php
if (!function_exists('getallheaders')) {
    function getallheaders() {
    $headers = [];
    foreach ($_SERVER as $name => $value) {
        if (substr($name, 0, 5) == 'HTTP_') {
            $headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
        }
    }
    return $headers;
    }
}

$useragent = $_SERVER['HTTP_USER_AGENT'] ?: 'N/A';
if ($useragent != 'GameBox') {
    header('location: https://www.trackmaniaforever.com');
    exit();
} else {
    $baseurl = ($_SERVER['HTTP_X_FORWARDED_PROTO'] ?: 'http') . '://' . $_SERVER['HTTP_HOST'];
    $path = dirname(parse_url($baseurl . $_SERVER['REQUEST_URI'], PHP_URL_PATH));
    $url = $baseurl . $path;

    header("content-type: text/xml");
}
?>
<?xml version='1.0' encoding='utf-8' ?>
<maniacode noconfirmation="1">
    <play_track>
        <name>Hong Kong</name>
        <url><?php echo $url ?>/HongKong.Challenge.Gbx</url>
    </play_track>
</maniacode>
